Package com.google.protobuf

## Class TextFormat.Parser.Builder

- java.lang.Object
- - com.google.protobuf.TextFormat.Parser.Builder

Enclosing class:
  TextFormat.Parser

    public static class TextFormat.Parser.Builder
    extends java.lang.Object

Builder that can be used to obtain new instances of `TextFormat.Parser`.

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TextFormat.Parser` `build()`
`TextFormat.Parser.Builder` `setSingularOverwritePolicy​(TextFormat.Parser.SingularOverwritePolicy p)` Sets parser behavior when a non-repeated field appears more than once.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### setSingularOverwritePolicy

    public TextFormat.Parser.Builder setSingularOverwritePolicy​(TextFormat.Parser.SingularOverwritePolicy p)

Sets parser behavior when a non-repeated field appears more than once.

#### build

    public TextFormat.Parser build()